html {
  /* scroll-behavior: smooth; */
  scroll-padding-top: calc(var(--scroll-padding-top) * 1px + 20px);
}

@media screen and (max-width: 768px) {
  html {
    scroll-padding-top: calc(var(--scroll-padding-top-sp) * 1px);
  }
}

body {
  background: var(--color-back);
  color: var(--color-text);
  font-family: var(--fontFamily-default);
  overflow-wrap: break-word;
  text-rendering: optimizeLegibility;
  /* word-break: break-all; */
  overflow-x: clip;
  line-height: var(--line-height-auto);
}

/* picture {
  display: contents;
} */
iframe {
  border: 0;
}

li {
  list-style: none;
}

button {
  cursor: pointer;
}

summary {
  display: block;
  list-style: none;
}

summary::-webkit-details-marker {
  display: none;
}

a {
  color: inherit;
  text-decoration: none;
  text-decoration-skip-ink: auto;
}

code {
  white-space: pre-wrap;
}

pre {
  font-family: var(--fontFamily-default);
  white-space: pre-wrap;
}

figure {
  max-width: 100%;
}

picture > img {
  max-width: 100%;
}

picture > source {
  max-width: 100%;
}

img {
  height: auto;
  image-rendering: -webkit-optimize-contrast; /* ぼやけ防止 (Safari) */
  image-rendering: crisp-edges; /* ぼやけ防止 */
  max-width: 100%;
  vertical-align: middle;
  display: block;
}

main {
  display: block;
}

@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    scroll-behavior: auto !important;
    transition-duration: 0.01ms !important;
  }
}

/* フォーム部品リセット */
input {
  min-width: 0;
}

input:focus {
  outline: 2px solid var(--color-primary);
}

input:focus-visible {
  outline: 2px solid var(--color-primary);
}

button {
  font-size: 1rem;
}

optgroup {
  font-size: 1rem;
}

textarea {
  resize: none;
}

textarea:focus {
  outline: 2px solid var(--color-primary);
}

textarea:focus-visible {
  outline: 2px solid var(--color-primary);
}

select {
  font-size: 1rem;
}

select:focus {
  outline: 2px solid var(--color-primary);
}

select:focus-visible {
  outline: 2px solid var(--color-primary);
}

/* プレースホルダー */
::placeholder {
  color: #ccc;
}

label {
  cursor: pointer; /* iOSでのlabelとinput,select,textareaの関連付け */
}

/* スピンボタン非表示 (Chrome / Safari) */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button,
input[type="month"]::-webkit-outer-spin-button,
input[type="month"]::-webkit-inner-spin-button,
input[type="datetime-local"]::-webkit-outer-spin-button,
input[type="datetime-local"]::-webkit-inner-spin-button,
input[type="week"]::-webkit-outer-spin-button,
input[type="week"]::-webkit-inner-spin-button,
input[type="time"]::-webkit-outer-spin-button,
input[type="time"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-outer-spin-button,
input[type="date"]::-webkit-inner-spin-button {
  appearance: none;
  display: none;
  margin: 0;
}

/* スピンボタン非表示 (FireFox) */
input[type="number"],
input[type="month"],
input[type="datetime-local"],
input[type="week"],
input[type="time"],
input[type="date"] {
  appearance: textfield;
}

/* クリアボタン非表示 */
input[type="date"]::-webkit-clear-button,
input[type="month"]::-webkit-clear-button,
input[type="datetime-local"]::-webkit-clear-button,
input[type="time"]::-webkit-clear-button,
input[type="week"]::-webkit-clear-button {
  appearance: none;
}

/* セレクトボックス */
.select-wrap {
  position: relative;
}

.select-wrap > select {
  width: 100%;
}

.select-wrap::after {
  border-bottom: 2px solid;
  border-right: 2px solid;
  bottom: 0;
  content: "";
  display: block;
  height: 10px;
  margin: auto;
  position: absolute;
  right: 20px;
  top: 0;
  transform: rotate(45deg);
  width: 10px;
}

select::-ms-expand {
  display: none;
}

option:disabled {
  color: #ccc;
  opacity: 1;
}

/* ラジオボタン、チェックボックス */
input[type="radio"],
input[type="checkbox"] {
  opacity: 0;
  position: absolute;
}

input[type="radio"] + span,
input[type="checkbox"] + span {
  cursor: pointer;
  display: inline-block;
  line-height: 1;
  padding: 0.3em 0.3em 0.3em 2em;
  position: relative;
  vertical-align: middle;
}

input[type="radio"]:focus-visible + span,
input[type="checkbox"]:focus-visible + span {
  outline: 2px solid var(--color-primary);
}

/* ラジオボタンスタイル */
input[type="radio"] + span::before {
  background: #fff;
  border: 2px solid var(--color-primary);
  border-radius: 50%;
  content: "";
  height: calc(23 / 16 * 1em);
  left: 0;
  line-height: 1;
  position: absolute;
  top: 1px;
  width: calc(23 / 16 * 1em);
}

/* ラジオボタンチェック印（未選択） */
input[type="radio"] + span::after {
  content: "";
  display: none;
}

/* ラジオボタンチェック印（選択） */
input[type="radio"]:checked + span::after {
  background: var(--color-primary);
  border-radius: 50%;
  display: block;
  height: calc(13 / 16 * 1em);
  left: calc(5 / 16 * 1em);
  line-height: 1;
  margin: 0;
  padding: 0;
  position: absolute;
  top: calc(6 / 16 * 1em);
  width: calc(13 / 16 * 1em);
}

/* チェックボックス */
input[type="checkbox"] + span::before {
  position: absolute;
  top: 0.1em;
  left: 0;
  content: "";
  width: calc(20 / 16 * 1em);
  height: calc(20 / 16 * 1em);
  border: 1px solid var(--color-primary);
  background: #fff;
  line-height: 1;
  vertical-align: middle;
}

/* チェックボックス未チェック時 */
input[type="checkbox"] + span::after {
  content: "";
  display: none;
}

/* チェックボックスチェック時 */
input[type="checkbox"]:checked + span::after {
  display: block;
  position: absolute;
  top: 0.1em;
  left: 0.4em;
  width: 0.5em;
  height: 1em;
  content: "";
  border-bottom: 3px solid var(--color-primary);
  border-right: 3px solid var(--color-primary);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
